;;; cl-scopes/test/test-storage

;;;; testing facility for scopes/storage

(defpackage :scopes/test-storage
  (:use :common-lisp)
  (:local-nicknames (:storage :scopes/storage)
                    (:tracking :scopes/storage/tracking) 
                    (:t :scopes/testing))
  (:export #:run #:try
           #:*db-config-postgres* #:*db-config-sqlite*)
  (:import-from :scopes/testing #:==))

(in-package :scopes/test-storage)

(defparameter *db-config-sqlite* nil)
(defparameter *db-config-postgres* nil)
(load "test/etc")
(defun try()
  (setf storage:*db-config* *db-config-sqlite*)
  (print storage:*db-config*)
  (print *db-config-postgres*))

(defun run ()
  (let ((st (make-instance 'storage:storage))
        (t:*tst* (t:test-suite)))
    (test-track st)
    (t:show-result)))

(defun test-track (st)
  (let ((tr (make-instance 'tracking:track)))
    (storage:drop-table st :tracks)
    (tracking:create-table st :tracks '(taskid username))
    ;(setf (scs:data tr) nil)
    (== (tracking:data tr) nil)))
